# Sorting (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain.query

## Class Sorting

- java.lang.Object
- - io.dapr.client.domain.query.Sorting

    public class Sorting
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Sorting.Order`

### Constructor Summary

Constructors
`Sorting​(String key, Sorting.Order order)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getKey()`
`Sorting.Order` `getOrder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Sorting

    public Sorting​(String key,
                   Sorting.Order order)

### Method Detail

#### getKey

    public String getKey()

#### getOrder

    public Sorting.Order getOrder()